
QGIS Application - Bug report #9038

Dangling rubberband while out of edit mode

2013-11-09 04:00 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17693

Description

Steps to reproduce:

1. Enter edit mode for a polygon layer

2. Select "New Feature" tool

3. Start editing a new feature

4. Exit edit mode (w/out completing the feature

What happens: the unfinished feature geometry remains visible on the map, and you can continue to edit it next time you re-enter edit

mode and re-select "New Feature" tool.

Desired behavior: the rubberband isn't visible while not in use

It's been pointed out on IRC by astrodog that a user might consider having the state of unfinished editing saved for later a good thing. I've

no problems with that, as long as the state doesn't remain visible while not using the tool such state belongs to.

I haven't tested if 2.0 branch is also affected (likely?)

History

#1 - 2013-11-09 08:22 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#2 - 2015-10-13 03:19 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #4237
